Nextcloud Installationsprobleme auf Raspi 4

Hallo, ich möchte nextcloud installieren auf meinem Raspberry Pi 4 (8 GB) und bin nach dieser Anleitung vorgegangen:

Leider lässt sich mariaDb nicht installieren:

Die folgenden Pakete haben unerfüllte Abhängigkeiten:
mariadb-server : Hängt ab von: mariadb-server-10.5 (>= 1:10.5.8+maria~buster) ist aber nicht installierbar
E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene defekte Pakete.

In der mariadb.list steht:
deb [arch=amd64] http://mirror2.hs-esslingen.de/mariadb/repo/10.5/debian buster main
deb-src http://sfo1.mirrors.digitalocean.com/mariadb/repo/10.5/debian buster main

Kann mir da jemand helfen?

Dieses Repo behinhaltet nur Pakete, die fĂĽr x86 Prozessoren kompiliert wurden. Der Raspi hat einen ARM-Prozessor und kann mit diesen Paketen nichts anfangen. Ersetze mal [arch=amd64] durch [arch=arm64] und mache ein apt update.